Errors on Upgrade Fedora 33 to 34

Hello,
using Fedora 33 Cinnamon and like to upgrade to Fedora 34
getting this erros.

dnf system-upgrade download --refresh --best --allowerasing --releasever=34

Fedora 34 openh264 (From Cisco) - x86_64 4.7 kB/s | 989 B 00:00
Fedora Modular 34 - x86_64 157 kB/s | 19 kB 00:00
Fedora Modular 34 - x86_64 - Updates 170 kB/s | 23 kB 00:00
Fedora 34 - x86_64 - Updates 162 kB/s | 21 kB 00:00
Fedora 34 - x86_64 137 kB/s | 19 kB 00:00
RPM Fusion for Fedora 34 - Free - Updates 44 kB/s | 7.1 kB 00:00
RPM Fusion for Fedora 34 - Free 68 kB/s | 7.7 kB 00:00
RPM Fusion for Fedora 34 - Nonfree - Updates 65 kB/s | 7.2 kB 00:00
RPM Fusion for Fedora 34 - Nonfree 76 kB/s | 7.8 kB 00:00
Keine Übereinstimmung fĂŒr Gruppenpaket “xorg-x11-drv-armsoc”
Keine Übereinstimmung fĂŒr Gruppenpaket “khmeros-siemreap-fonts”
Keine Übereinstimmung fĂŒr Gruppenpaket “khmeros-bokor-fonts”
Keine Übereinstimmung fĂŒr Gruppenpaket “lsvpd”
Keine Übereinstimmung fĂŒr Gruppenpaket “khmeros-metal-chrieng-fonts”
Keine Übereinstimmung fĂŒr Gruppenpaket “powerpc-utils”
Keine Übereinstimmung fĂŒr Gruppenpaket “khmeros-muol-fonts”
Keine Übereinstimmung fĂŒr Gruppenpaket “khmeros-handwritten-fonts”
Keine Übereinstimmung fĂŒr Gruppenpaket “bcm283x-firmware”
Keine Übereinstimmung fĂŒr Gruppenpaket “khmeros-battambang-fonts”
Fehler:
Problem: cannot install the best update candidate for package iptables-1.8.5-6.fc33.x86_64

  • problem with installed package iptables-1.8.5-6.fc33.x86_64
  • package iptables-1.8.7-3.fc34.x86_64 requires iptables-libs(x86-64) = 1.8.7-3.fc34, but none of the providers can be installed
  • cannot install the best update candidate for package iptables-libs-1.8.5-6.fc33.x86_64
  • cannot install both iptables-libs-1.8.7-3.fc34.x86_64 and iptables-libs-1.8.7-6.fc34.x86_64
  • iptables-1.8.5-6.fc33.x86_64 does not belong to a distupgrade repository
    (try to add ‘–skip-broken’ to skip uninstallable packages)

try it with --skip-broken getting the same errors.

thanks for help

Found out to not use --best, and it works.
can be closed.

4 Likes

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.